Create or update a virtual account
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/virtual-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"name": "<string>",
"type": "virtual-account",
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"expiration_date": "<string>",
"notification_target": {
"type": "email",
"notification_channel": "<string>",
"to_emails": [
"<string>"
]
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"dryRun": false
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/virtual-accounts"
payload = {
"manifest": {
"name": "<string>",
"type": "virtual-account",
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"expiration_date": "<string>",
"notification_target": {
"type": "email",
"notification_channel": "<string>",
"to_emails": ["<string>"]
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"dryRun": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifest: {
name: '<string>',
type: 'virtual-account',
permissions: [{resource_fqn: '<string>', resource_type: '<string>', role_id: '<string>'}],
expiration_date: '<string>',
notification_target: {type: 'email', notification_channel: '<string>', to_emails: ['<string>']},
tags: {},
identity_provider_mapping: [{identity_provider: '<string>', value: '<string>'}]
},
dryRun: false
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"type": "<string>",
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"manifest": {
"name": "<string>",
"type": "virtual-account",
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"expiration_date": "<string>",
"auto_rotate": {
"auto_rotate_interval": 360,
"grace_period": 30
},
"notification_target": {
"type": "email",
"notification_channel": "<string>",
"to_emails": [
"<string>"
]
},
"secret_store_config": {
"integration_fqn": "<string>",
"secret_path": "<string>"
},
"ownedBy": {
"team": "<string>",
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"jwtId": "<string>",
"lastAccessedAt": "2023-11-07T05:31:56Z",
"isExpired": true,
"jwts": [
{
"id": "<string>",
"subjectType": "<string>",
"subjectId": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"metadata": {},
"roleIds": [
"<string>"
],
"rolesWithResource": [
{
"roleId": "<string>",
"resourceId": "<string>",
"roleName": "<string>"
}
],
"createdBy": "<string>",
"nextScheduledRotation": "<string>"
},
"token": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Virtual Accounts
Create or update a virtual account
Create a new virtual account or update an existing one using the provided VirtualAccountManifest. Matching is by name — if the name matches an existing virtual account it is updated, otherwise a new one is created.
PUT
/
api
/
svc
/
v1
/
virtual-accounts
Create or update a virtual account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I